# Fee Structure

Knox Finance earns revenue by taking a performance fee when the vault is profitable.

### Performance Fee

At the end of each epoch if the vault has a positive net income, a 15% performance fee is taken. The net income is calculated by comparing the total assets held by the vault at the start of the auction, with the adjusted total assets at the end of the epoch. The adjusted total assets account for assets withdrawn from the vault during the epoch. If the adjusted total assets are greater than total assets before the auction, the net income is set to the total premium, otherwise, the difference is deducted from the total premium.

`netIncome = totalPremium - (lastTotalAssets - adjustedTotalAssets)`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.knox.premia.finance/overview/fee-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
